# $Revision: 1.14 $, $Date: 2001/10/31 21:21:14 $
Summary:	GTKFig figure-drawing tools
Summary(pl):	GTKFig - narzdzia do rysowania wykresw
Name:		gtkfig
Version:	0.7.0
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Group(de):	X11/Applikationen/Grafik
Group(pl):	X11/Aplikacje/Grafika
Source0:	ftp://k332.feld.cvut.cz/pub/local/lemming/gtkfig/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://k332.feld.cvut.cz/~lemming/projects/gtkfig.html
BuildRequires:	autoconf
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
GTKFIG is a figure drawing tool. It can be used to draw flow-charts,
data structure diagrams etc. Generally, it should serve as replacement
for xfig, which has now (IMHO) outdated interface. Another program I
have inspired by was SmartDraw for MS Windows (it is commercial
software, but you can get demoversion at http://www.smartdraw.com/).
My idea is that GTKFIG would serve for same purpose as SmartDraw.

%description -l pl
GTKFIG jest narzdziem do rysowania wykresw. Mona go wykorzysta do
przygotowywania grafw, diagramw przedstawiajcych struktury danych
itd. Ma by substytutem programu xfig, ktrego interfejs - w opinii
autora - jest przestarzay. Program ten jest rwnie wzorowany na
SmartDraw dla Windows (program ten jest komercyjny, ale wersj demo
mona uzyska z http://www.smartdraw.com/). GTKFIG ma suy temu
samemu, co SmartDraw.

%prep
%setup -q

%build
autoconf
CXXFLAGS="%{rpmcflags} -fpermissive"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Graphics

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics

gzip -9nf AUTHORS ChangeLog HINTS NEWS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Graphics/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtkfig.spec,v $
Revision 1.14  2001/10/31 21:21:14  qboosh
- release 2: added running autoconf, spec ac2.52 ready

Revision 1.13  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.12  2001/01/27 23:05:53  kloczek
- added desktop file for gtkfig (it will be good find/prepare icon too :),
- added libstdc++-devel to BuildRequires.

Revision 1.11  2001/01/27 22:31:08  qboosh
- ANSI C++ violations - use -fpermissive
- filled %%files section

Revision 1.10  2000/10/12 22:16:21  kloczek
- added URL.

Revision 1.9  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:22:57  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.6  2000/04/04 07:24:14  arturs
- added %description -l pl

Revision 1.5  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.3  2000/01/01 23:38:29  kloczek
- corected Source url,
- corected BuildRequires rules,
- added using %%configure macro nas DESTDIR style %install.

Revision 1.2  1999/12/31 09:43:43  cieciwa
- added description,
- update to version 0.7.0.
